
* ==================================================================================================
* ========================= INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS - INEC ===========================
* ================== DIRECCIN DE ESTADSTICAS AGROPECUARIAS Y AMBIENTALES - DEAGA ====================
* ========================== REGISTRO INTEGRAL DE RESIDUOS SLIDOS- GIRS 2018 ==========================
* ============================= SINTAXIS DE ELABORACIN DE INDICADORES================================
* ======================================= INDICADORES  ==============================================


***********************************MUNICIPIOS***********************************
******************CLCULO DE INDICADORES RESIDUOS 2018***********


compute base = 1.
execute.



**************************INDICADOR 1*******************************************

***Modelo de Gestin ne GADs Municipales****




* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MMG DISPLAY=LABEL
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + Provin [C][COUNT F40.0, ROWPCT.COUNT 
    PCT40.1] BY MMG [C]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=MMG [1.00, 2.00, 3.00, 4.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER    
  /TITLES
    TITLE='Porcentaje de GADs Municipales que cuentan con un Modelo de Gestin'
    CAPTION='Fuente: AME-INEC. 2018, Registro de Gestin Integral de Residuos Slidos.'.





**************************INDICADOR 2*******************************************


****Cobertura de Servicio de Barrido (Municipios que si constan con calles susceptibles a ser barridas)*****


filter off.

USE ALL.
COMPUTE filter_$=( MR422 = 1).
VARIABLE LABEL filter_$ 'MR422 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin VB MR4223 CSB DISPLAY=LABEL
  /TABLE rgnatu + Provin BY VB [SUM] + MR4223 [SUM] + CSB [MEAN, , VALIDN F40.0] 
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Cobertura de Servicio de Barrido (Municipios que si constan con calles susceptibles a ser barridas)'
    CAPTION='Fuente:AME-INEC. 2018, Registro de Gestin Integral de Residuos Slidos.'.

filter off.


*Nota: La cobertura hay que calcularla en el programa Excel. 



**************************INDICADOR 3*******************************************

****Proporcin de Gads Municipales que ha iniciado o mantienen Procesos de Separacin en la Fuente****



* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MSF DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MSF [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MSF ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Proporcin de Gads Municipales que ha iniciado o mantienen Procesos de Separacin en '+ 
    'la Fuente: ' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2018'.  



**************************INDICADOR 4*******************************************


**** Residuos Slidos Recolectados al da****



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR4522 MR4523 DIF NODIF MR453
    DISPLAY=LABEL
  /TABLE rgnatu + Provin BY MR4522 [SUM, VALIDN F40.0] + MR4523 [SUM, VALIDN F40.0] + DIF [SUM, VALIDN F40.0] + NODIF [SUM, VALIDN F40.0] + MR453 [SUM, VALIDN F40.0]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Residuos Slidos Recolectados al da'
    CAPTION='Fuente: AME-INEC. 2018, Registro de Gestin Integral de Residuos Slidos.'.




**************************INDICADOR 5*******************************************


**** Para la Disposicin Final de los Residuos Slidos, el Municipio cuenta con:  ****



* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MR461 DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MR461 [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MR461 ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Para la Disposicin Final de los Residuos Slidos, el Municipio cuenta con:' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2018'.  



**************************INDICADOR 6*******************************************


***Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos****



* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin RDES DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY RDES [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=RDES ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos ' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2018'.  




**************************INDICADOR 7*******************************************


***** Manejo Final de Desechos Peligrosos generados de Establecimientos de Salud. ****




* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MFDPES DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MFDPES [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MFDPES ORDER= A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Manejo Final de Desechos Peligrosos generados de Establecimientos de Salud. ' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2018'.  



**************************INDICADOR 8*******************************************


*********Subsidio de la Gestin Integral de Residuos Slidos******




DATASET COPY  SUBSIDIO.
DATASET ACTIVATE  SUBSIDIO.
FILTER OFF.
USE ALL.
SELECT IF (SUBSIDIO = 0).
EXECUTE.




* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin CT IM VS SUBSIDIO   
    DISPLAY=LABEL
  /TABLE rgnatu + Provin BY CT [SUM] + IM [SUM] + VS [SUM] + SUBSIDIO [COUNT, VALIDN F40.0]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Subsidio de la Gestin Integral de Residuos Slidos'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2018'.



**************************INDICADOR 9*******************************************.


***Proporcin de Residuos Slidos Recuperados****.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin ROTZU ROTZR TROT RIR CRR  
    DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY ROTZU [S][SUM, ROWPCT.VALIDN PCT40.1] + ROTZR [S][SUM, 
    ROWPCT.VALIDN PCT40.1] + TROT [S][SUM, ROWPCT.VALIDN PCT40.1] + RIR [S][SUM, ROWPCT.VALIDN PCT40.1] 
    + CRR [S][SUM, VALIDN F40.0]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Proporcin de Residuos Slidos Recuperados'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2018'.


*Nota: El clculo de los porcentajes para cada tem hay que hacerlo manualmente en Excel.



**************************INDICADOR 10*******************************************



****Produccin Per Cpita de Desechos Slidos (Urbano)****



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin RGEN Pob DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY RGEN [S][SUM, VALIDN F40.0] + Pob [S][SUM, VALIDN F40.0]
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Produccin Per Cpita de Desechos Slidos (Urbano)'
    CAPTION='Fuente: AME-INEC. 2018, Registro de Gestin Integral de Residuos Slidos.'.



**************************INDICADOR 11*******************************************


*******Costo de Gestin Mensual por tonelada de Basura******



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin CT MR25 CTGIRS  DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY CT [S][SUM] + MR25 [S][SUM] + CTGIRS [S][MEAN, VALIDN F40.0] 
  /CATEGORIES VARIABLES=rgnatu [1, 2, 3, 4, 5, OTHERNM] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Costo de Gestin Mensual por tonelada de Basura'
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2017'.

*Nota: El clculo del costo por tonelada hay que hacerlo manualmente en Excel .


filter off.

**********************************************************************************************************************
*******************************************FIN***********************************************************************